Summary: CentOS base cache of yum headers
Name: centos-yumcache
Version: 2
Release: 0.%(date +"%%Y%m%d").3
License: GPL
Group: System Environment/Base
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
ExclusiveArch: i386
Requires: yum
Buildrequires: yum

%description
This is the cache of yum headers for the base install. Preloading the cache
avoids having to download headers on the first use of yum

%prep
[ -d %{base_cachepatch} ] || {
    echo "base_cachepatch not specified"
    exit 1
}
[ -d %{update_cachepatch} ] || {
    echo "update_cachepatch not specified"
    exit 1
}

%build
(cd %{base_cachepatch} && yum-arch .)
(cd %{update_cachepatch} && yum-arch .)

%install
mkdir -p $RPM_BUILD_ROOT/var/cache/yum/base/headers
cp -au %{base_cachepatch}/headers/header.info $RPM_BUILD_ROOT/var/cache/yum/base/
cp -au %{base_cachepatch}/headers/*.hdr $RPM_BUILD_ROOT/var/cache/yum/base/headers/

mkdir -p $RPM_BUILD_ROOT/var/cache/yum/updates/headers
cp -au %{update_cachepatch}/headers/header.info $RPM_BUILD_ROOT/var/cache/yum/updates/
cp -au %{update_cachepatch}/headers/*.hdr $RPM_BUILD_ROOT/var/cache/yum/updates/headers/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(0644,root,root) /var/cache/yum/base/header.info
%attr(0644,root,root) /var/cache/yum/base/headers
%attr(0644,root,root) /var/cache/yum/updates/header.info
%attr(0644,root,root) /var/cache/yum/updates/headers

%changelog
* Thu Feb 26 2004 John Newbigin <jn@it.swin.edu.au>
- Modified for CentOS-2
* Wed Feb 18 2004 Lance Davis <lance@caosity.org>
- Created for CentoS
